// #!/usr/bin/env node

import process from 'node:process'
import { runBuildConfig } from './buildConfig'

export async function runBuild() {
  try {
    const argvList = process.argv.splice(2)

    // Generate configuration file
    if (!argvList.includes('disabled-config'))
      await runBuildConfig()
  }
  catch (error) {
    process.exit(1)
  }
}
runBuild()
